Bug 1240115 - tracer needs to adjust to BeautifulSoup changes
Summary: tracer needs to adjust to BeautifulSoup changes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tracer
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Kadlčík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1243787 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-06 02:35 UTC by Kevin Fenzi
Modified: 2015-08-19 07:53 UTC (History)
5 users (show)

Fixed In Version: tracer-0.6.3-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-21 08:10:43 UTC
Type: Bug


Attachments (Terms of Use)

Description Kevin Fenzi 2015-07-06 02:35:33 UTC
dnf tracer plugin outputs: 

Tracer:
  Program 'tracer' crashed with following error:

b'/usr/lib/python2.7/site-packages/bs4/__init__.py:166: UserWarning: No parser was explicitly specified, so I\'m using the best available HTML parser for this system ("lxml"). This usually isn\'t a problem, but if you run this code on another system, or in a different virtual environment, it may use a different parser and behave differently.\n\nTo get rid of this warning, change this:\n\n BeautifulSoup([your markup])\n\nto this:\n\n BeautifulSoup([your markup], "lxml")\n\n  markup_type=markup_type))\n'
Please visit https://github.com/FrostyX/tracer/issues and submit the issue. Thank you
We apologize for any inconvenience

For more information run:
    sudo tracer -iat 1436149233.7898815
Complete!

% sudo tracer -iat 1436149233.7898815
[sudo] password for kevin: 
/usr/lib/python2.7/site-packages/bs4/__init__.py:166: UserWarning: No parser was explicitly specified, so I'm using the best available HTML parser for this system ("lxml"). This usually isn't a problem, but if you run this code on another system, or in a different virtual environment, it may use a different parser and behave differently.

To get rid of this warning, change this:

 BeautifulSoup([your markup])

to this:

 BeautifulSoup([your markup], "lxml")

  markup_type=markup_type))
Traceback (most recent call last):
  File "/bin/tracer", line 34, in <module>
    tracer.main.run()
  File "/usr/lib/python2.7/site-packages/tracer/main.py", line 42, in run
    return router.dispatch()
  File "/usr/lib/python2.7/site-packages/tracer/resources/router.py", line 59, in dispatch
    controller.render_interactive()
  File "/usr/lib/python2.7/site-packages/tracer/controllers/default.py", line 68, in render_interactive
    helper_controller = HelperController(self.args)
TypeError: __init__() takes exactly 3 arguments (2 given)

% sudo tracer 
/usr/lib/python2.7/site-packages/bs4/__init__.py:166: UserWarning: No parser was explicitly specified, so I'm using the best available HTML parser for this system ("lxml"). This usually isn't a problem, but if you run this code on another system, or in a different virtual environment, it may use a different parser and behave differently.

To get rid of this warning, change this:

 BeautifulSoup([your markup])

to this:

 BeautifulSoup([your markup], "lxml")

  markup_type=markup_type))
You should restart:
  * Some applications using:
      pulseaudio --kill; pulseaudio --start

  * These applications manually:
      Xorg
      at-spi2-registryd
      dbus-monitor
      firefox
      gdm-x-session
      gmpc
      goa-daemon
      goa-identity-service
      gobby
      hexchat
      midori
      mission-control-5
      obexd
      panel-11-whiske
      panel-12-pulsea
      panel-13-weathe
      panel-14-xfce4-
      panel-16-xfce4-
      panel-18-power-
      panel-21-xfce4-
      panel-7-xfce4-o
      panel-8-battery
      panel-9-xfce4-o
      sd-pam
      seapplet
      systemd
      xfce4-appfinder
      xfwm4

Additionally to those process above, there are:
  - 12 processes requiring restart of your session (i.e. Logging out & Logging in again)
  - 3 processes requiring reboot

% rpm -q dnf tracer python3-dnf-plugins-extras-tracer
dnf-1.0.1-3.fc23.noarch
tracer-0.5.9-2.fc23.noarch
python3-dnf-plugins-extras-tracer-0.0.9-1.fc23.noarch

Comment 1 Devin Henderson 2015-07-14 21:02:41 UTC
Also happening on F22. Looks like maybe its caused by the latest python-beautifulsoup4 update,

python-beautifulsoup4-4.4.0-1.fc22.noarch

Comment 2 Jakub Kadlčík 2015-07-15 08:08:30 UTC
Hello Devin,
thank you for the feedback and suggested solution.

Also you have right that it is caused by the python-beautifulsoup4-4.4.0-1.fc22.noarch package.


Modified in: 7f45aed

Comment 3 Jan Kurik 2015-07-15 13:21:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 4 Björn 'besser82' Esser 2015-07-18 07:53:21 UTC
Fixed in SCM [1].  Built for rawhide [1] and fc23 [2].  Update for fc22 is coming soon.


[1]  http://pkgs.fedoraproject.org/cgit/tracer.git/commit/?id=999ad7ea002bb3fd4f3fe67da7222c554513f350
[2]  https://koji.fedoraproject.org/koji/buildinfo?buildID=669784
[3]  https://koji.fedoraproject.org/koji/buildinfo?buildID=669785

Comment 5 Fedora Update System 2015-07-18 07:55:39 UTC
tracer-0.5.9-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/tracer-0.5.9-3.fc22

Comment 6 Devin Henderson 2015-07-18 10:07:05 UTC
Can confirm, dnf-tracer now works with tracer-0.5.9-3.fc22

Thanks!

Comment 7 Fedora Update System 2015-07-18 11:30:22 UTC
tracer-0.5.9-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/tracer-0.5.9-3.fc21

Comment 8 Jakub Kadlčík 2015-07-20 08:47:43 UTC
*** Bug 1243787 has been marked as a duplicate of this bug. ***

Comment 9 Fedora Update System 2015-07-21 08:10:43 UTC
tracer-0.5.9-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-07-30 01:08:41 UTC
tracer-0.5.9-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-08-05 19:06:58 UTC
tracer-0.6.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/tracer-0.6.2-1.fc21

Comment 12 Fedora Update System 2015-08-05 19:07:06 UTC
tracer-0.6.2-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/tracer-0.6.2-1.fc22

Comment 13 Fedora Update System 2015-08-10 11:46:41 UTC
tracer-0.6.3-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/tracer-0.6.3-1.fc22

Comment 14 Fedora Update System 2015-08-10 11:46:48 UTC
tracer-0.6.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/tracer-0.6.3-1.fc21

Comment 15 Fedora Update System 2015-08-12 06:58:35 UTC
tracer-0.6.3-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-08-19 07:53:56 UTC
tracer-0.6.3-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.